# TColStd_HSetOfInteger.hxx File Reference

`#include <Standard.hxx>`
`#include <Handle_TColStd_HSetOfInteger.hxx>`
`#include <TColStd_SetOfInteger.hxx>`
`#include <MMgt_TShared.hxx>`
`#include <Standard_Integer.hxx>`
`#include <Standard_Boolean.hxx>`
`#include <TCollection_HSet.lxx>`

## Defines

#define | Item Standard_Integer
#define | Item_hxx <Standard_Integer.hxx>
#define | TheSet TColStd_SetOfInteger
#define | TheSet_hxx <TColStd_SetOfInteger.hxx>
#define | TCollection_HSet TColStd_HSetOfInteger
#define | TCollection_HSet_hxx <TColStd_HSetOfInteger.hxx>
#define | Handle_TCollection_HSet Handle_TColStd_HSetOfInteger
#define | TCollection_HSet_Type_() TColStd_HSetOfInteger_Type_()

## Functions

Handle_TColStd_HSetOfInteger | ShallowCopy (const Handle_TColStd_HSetOfInteger &me)

## Define Documentation

#define Handle_TCollection_HSet Handle_TColStd_HSetOfInteger

#define Item Standard_Integer

#define Item_hxx <Standard_Integer.hxx>

#define TCollection_HSet TColStd_HSetOfInteger

#define TCollection_HSet_hxx <TColStd_HSetOfInteger.hxx>

#define TCollection_HSet_Type_ | (

)

TColStd_HSetOfInteger_Type_()

#define TheSet TColStd_SetOfInteger

#define TheSet_hxx <TColStd_SetOfInteger.hxx>

## Function Documentation

Handle_TColStd_HSetOfInteger ShallowCopy | ( | const Handle_TColStd_HSetOfInteger & | me | ) | `[inline]`